Package com.io7m.jregions.core.parameterized.volumes

# Class PVolumeXYZSplitD.Builder<S,​T extends PVolumeDType<S>>

java.lang.Object
com.io7m.jregions.core.parameterized.volumes.PVolumeXYZSplitD.Builder<S,​T>

Enclosing class:
  PVolumeXYZSplitD<S,​T extends PVolumeDType<S>>

    public static final class PVolumeXYZSplitD.Builder<S,​T extends PVolumeDType<S>>
    extends java.lang.Object

Builds instances of type `PVolumeXYZSplitD`. Initialize attributes and then invoke the `build()` method to create an immutable instance.

`Builder` is not thread-safe and generally should not be stored in a field or collection, but instead used immediately to create instances.

- ## Method Summary

  Modifier and Type | Method | Description
  --- | --- | ---
  `PVolumeXYZSplitD<S,​T>` | `build()` | Builds a new `PVolumeXYZSplitD`.
  `PVolumeXYZSplitD.Builder<S,​T>` | `from​(PVolumeXYZSplitDType<S,​T> instance)` | Fill a builder with attribute values from the provided `PVolumeXYZSplitDType` instance.
  `PVolumeXYZSplitD.Builder<S,​T>` | `setX0y0z0​(T x0y0z0)` | Initializes the value for the `x0y0z0` attribute.
  `PVolumeXYZSplitD.Builder<S,​T>` | `setX0y0z1​(T x0y0z1)` | Initializes the value for the `x0y0z1` attribute.
  `PVolumeXYZSplitD.Builder<S,​T>` | `setX0y1z0​(T x0y1z0)` | Initializes the value for the `x0y1z0` attribute.
  `PVolumeXYZSplitD.Builder<S,​T>` | `setX0y1z1​(T x0y1z1)` | Initializes the value for the `x0y1z1` attribute.
  `PVolumeXYZSplitD.Builder<S,​T>` | `setX1y0z0​(T x1y0z0)` | Initializes the value for the `x1y0z0` attribute.
  `PVolumeXYZSplitD.Builder<S,​T>` | `setX1y0z1​(T x1y0z1)` | Initializes the value for the `x1y0z1` attribute.
  `PVolumeXYZSplitD.Builder<S,​T>` | `setX1y1z0​(T x1y1z0)` | Initializes the value for the `x1y1z0` attribute.
  `PVolumeXYZSplitD.Builder<S,​T>` | `setX1y1z1​(T x1y1z1)` | Initializes the value for the `x1y1z1` attribute.

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Method Details

  - ### from

    public final PVolumeXYZSplitD.Builder<S,​T> from​(PVolumeXYZSplitDType<S,​T> instance)
    Fill a builder with attribute values from the provided `PVolumeXYZSplitDType` instance. Regular attribute values will be replaced with those from the given instance. Absent optional values will not replace present values.
    Parameters:
      `instance` - The instance from which to copy values
    Returns:
      `this` builder for use in a chained invocation

  - ### setX0y0z0

    public final PVolumeXYZSplitD.Builder<S,​T> setX0y0z0​(T x0y0z0)
    Initializes the value for the `x0y0z0` attribute.
    Parameters:
      `x0y0z0` - The value for x0y0z0
    Returns:
      `this` builder for use in a chained invocation

  - ### setX1y0z0

    public final PVolumeXYZSplitD.Builder<S,​T> setX1y0z0​(T x1y0z0)
    Initializes the value for the `x1y0z0` attribute.
    Parameters:
      `x1y0z0` - The value for x1y0z0
    Returns:
      `this` builder for use in a chained invocation

  - ### setX0y1z0

    public final PVolumeXYZSplitD.Builder<S,​T> setX0y1z0​(T x0y1z0)
    Initializes the value for the `x0y1z0` attribute.
    Parameters:
      `x0y1z0` - The value for x0y1z0
    Returns:
      `this` builder for use in a chained invocation

  - ### setX1y1z0

    public final PVolumeXYZSplitD.Builder<S,​T> setX1y1z0​(T x1y1z0)
    Initializes the value for the `x1y1z0` attribute.
    Parameters:
      `x1y1z0` - The value for x1y1z0
    Returns:
      `this` builder for use in a chained invocation

  - ### setX0y0z1

    public final PVolumeXYZSplitD.Builder<S,​T> setX0y0z1​(T x0y0z1)
    Initializes the value for the `x0y0z1` attribute.
    Parameters:
      `x0y0z1` - The value for x0y0z1
    Returns:
      `this` builder for use in a chained invocation

  - ### setX1y0z1

    public final PVolumeXYZSplitD.Builder<S,​T> setX1y0z1​(T x1y0z1)
    Initializes the value for the `x1y0z1` attribute.
    Parameters:
      `x1y0z1` - The value for x1y0z1
    Returns:
      `this` builder for use in a chained invocation

  - ### setX0y1z1

    public final PVolumeXYZSplitD.Builder<S,​T> setX0y1z1​(T x0y1z1)
    Initializes the value for the `x0y1z1` attribute.
    Parameters:
      `x0y1z1` - The value for x0y1z1
    Returns:
      `this` builder for use in a chained invocation

  - ### setX1y1z1

    public final PVolumeXYZSplitD.Builder<S,​T> setX1y1z1​(T x1y1z1)
    Initializes the value for the `x1y1z1` attribute.
    Parameters:
      `x1y1z1` - The value for x1y1z1
    Returns:
      `this` builder for use in a chained invocation

  - ### build

    public PVolumeXYZSplitD<S,​T> build()
    Builds a new `PVolumeXYZSplitD`.
    Returns:
      An immutable instance of PVolumeXYZSplitD
    Throws:
      `java.lang.IllegalStateException` - if any required attributes are missing